Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451756 - When changing network profile getting an bug
Summary: When changing network profile getting an bug
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-network
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 450131 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 06:02 UTC by guy carmin
Modified: 2015-10-12 12:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:23:58 UTC


Attachments (Terms of Use)

Description guy carmin 2008-06-17 06:02:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
# system-config-network-cmd -p DHCP
An unhandled exception has occured.  This is most likely a bug.
Please file a detailed bug report against the component system-config-network at
https://bugzilla.redhat.com/bugzilla
using the text below.
Component: system-config-network
Version: 1.5.10
Summary: TB /usr/lib/python2.5/site-packages/dbus/bus.py:125:__new__:DBusException: org.freedesktop.DBus.Error.FileNotFound: Failed to connectto socket /var/run/dbus/system_bus_socket: No such file or directory
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-cmd", line 282, in main
    devlists = [getDeviceList(), getHardwareList(),
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 759, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 603, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 483, in updateFromSystem
    self.updateFromHal(hdellist)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 447, in updateFromHal
    hal = NCBackendHal.NCBackendHal()
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 30, in __init__
    self._dbusBus = dbus.SystemBus()
  File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 200, in __new__
    private=private)
  File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 106, in __new__
    bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 125, in __new__
    bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
DBusException: org.freedesktop.DBus.Error.FileNotFound: Failed to connect to socket /var/run/dbus/system_bus_socket: No such file or directory

Local variables in innermost frame:
mainloop: None
address_or_type: 1
cls: <class 'dbus._dbus.SystemBus'>

Version-Release number of selected component (if applicable):
system-config-network-tui-1.5.10-1.fc9

How reproducible:
Didn't try


Steps to Reproduce:
1. I've boot to init 1 
2. # system-config-network-cmd -p DHCP
3.

Actual Results:
The network profile had not changed as expected.

Expected Results:
That the network Profile will change.

Additional info:

Comment 1 Jiri Moskovcak 2008-06-17 12:53:22 UTC
Seems like dbus on your system is not running. Can you try to run $ service
messagebus start and $ service haldaemon start.

Comment 2 guy carmin 2008-06-17 13:00:08 UTC
Hi,

Well, 
Basically I've tried it in runlevel 1, so I think dbus should not run...

Guy.

Comment 3 Jiri Moskovcak 2008-06-17 13:12:23 UTC
So, that's the problem s-c-n needs dbus and hal but it probably shouldn't be
able to switch profiles even without them. I'll take a look at it.

Jirka

Comment 4 guy carmin 2008-06-17 13:26:53 UTC
Hi,

So, How should it woro from the /etc/rc.d/rc.sysinit:
"
.
.
.
.
# Boot time profiles. Yes, this should be somewhere else.
if [ -x /usr/sbin/system-config-network-cmd ]; then
  if strstr "$cmdline" netprofile= ; then
    for arg in $cmdline ; do
        if [ "${arg##netprofile=}" != "${arg}" ]; then
            /usr/sbin/system-config-network-cmd --profile ${arg##netprofile=}
        fi
    done
  fi
fi
.
.
.
.
"


Guy.

Comment 5 Jiri Moskovcak 2008-11-28 15:29:14 UTC
This should be fixed already. Can you please re-test it with latest update?

Thanks,
Jirka

Comment 6 Jiri Moskovcak 2008-11-28 15:30:26 UTC
*** Bug 450131 has been marked as a duplicate of this bug. ***

Comment 7 Bug Zapper 2009-06-10 01:39:49 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-07-14 15:23:58 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.